import { H as HighlighterGeneric, B as BuiltinLanguage, a as BuiltinTheme, C as CodeToHastOptions, R as Root, b as RequireKeys, c as CodeToThemedTokensOptions, T as ThemedToken, d as CodeToTokensWithThemesOptions, e as ThemedTokenWithVariants } from './types/langs.mjs';
export { A as AnsiLanguage, g as Awaitable, p as BundledHighlighterOptions, v as CodeOptionsMeta, t as CodeOptionsMultipleThemes, s as CodeOptionsSingleTheme, u as CodeOptionsThemes, r as CodeToHastOptionsCommon, F as FontStyle, o as HighlighterCoreOptions, G as HtmlRendererOptions, E as HtmlRendererOptionsCommon, f as IGrammar, I as IRawGrammar, L as LanguageInput, q as LanguageRegistration, i as MaybeArray, M as MaybeGetter, h as MaybeModule, P as PlainTextLanguage, m as ResolveBundleKey, n as ShikiContext, D as ShikijiTransformer, z as ShikijiTransformerContext, S as SpecialLanguage, k as StringLiteralUnion, j as ThemeInput, y as ThemeRegistration, x as ThemeRegistrationRaw, K as ThemedTokenExplanation, J as ThemedTokenScopeExplanation, N as TokenBase, O as TokenStyles, w as TransformerOptions, W as bundledLanguages, V as bundledLanguagesAlias, U as bundledLanguagesBase, Q as bundledThemes, l as loadWasm } from './types/langs.mjs';
import { G as GetHighlighterFactory } from './types/normalize.mjs';
export { H as HighlighterCore, h as addClassToHast, d as createSingletonShorthands, c as createdBundledHighlighter, b as getHighlighterCore, g as getShikiContext, i as isPlaintext, f as isSpecialLang, e as toArray, a as toShikiTheme, t as tokenizeAnsiWithTheme } from './types/normalize.mjs';
export { getWasmInlined } from './wasm.mjs';

type Highlighter = HighlighterGeneric<BuiltinLanguage, BuiltinTheme>;
declare const getHighlighter: GetHighlighterFactory<"shellscript" | "bat" | "berry" | "csharp" | "cpp" | "cadence" | "clojure" | "vb" | "shellsession" | "cypher" | "docker" | "erlang" | "fsharp" | "jssm" | "glimmer-js" | "graphql" | "glimmer-ts" | "handlebars" | "haskell" | "pug" | "javascript" | "kusto" | "kotlin" | "make" | "markdown" | "narrat" | "nextflow" | "objective-c" | "raku" | "ini" | "powershell" | "python" | "codeql" | "ruby" | "rust" | "shaderlab" | "splunk" | "stylus" | "typescript" | "viml" | "vyper" | "yaml" | "wenyan" | "css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "csv" | "applescript" | "ara" | "asm" | "ts" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "batch" | "beancount" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cdc" | "clarity" | "clj" | "cmake" | "cobol" | "ql" | "coffee" | "fs" | "glsl" | "c++" | "bash" | "sh" | "shell" | "zsh" | "crystal" | "cs" | "c#" | "cue" | "cql" | "d" | "dart" | "dax" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "rb" | "erb" | "erl" | "fish" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yml" | "hbs" | "gjs" | "gts" | "gnuplot" | "go" | "gql" | "groovy" | "hack" | "php" | "makefile" | "perl" | "r" | "cmd" | "xsl" | "jade" | "jsonc" | "objc" | "swift" | "perl6" | "ps" | "ps1" | "py" | "julia" | "rs" | "scala" | "tex" | "hs" | "latex" | "md" | "haml" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "jinja-html" | "jison" | "json5" | "jsonl" | "jsonnet" | "fsl" | "kt" | "kts" | "kql" | "liquid" | "lisp" | "logo" | "marko" | "matlab" | "mdc" | "toml" | "console" | "mdx" | "mermaid" | "mojo" | "nar" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "spl" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "verilog" | "vhdl" | "vim" | "vimscript" | "vue" | "vue-html" | "vy" | "wasm" | "文言" | "wgsl" | "wolfram" | "zenscript" | "zig", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">;
declare const codeToHtml: (code: string, options: CodeToHastOptions<"shellscript" | "bat" | "berry" | "csharp" | "cpp" | "cadence" | "clojure" | "vb" | "shellsession" | "cypher" | "docker" | "erlang" | "fsharp" | "jssm" | "glimmer-js" | "graphql" | "glimmer-ts" | "handlebars" | "haskell" | "pug" | "javascript" | "kusto" | "kotlin" | "make" | "markdown" | "narrat" | "nextflow" | "objective-c" | "raku" | "ini" | "powershell" | "python" | "codeql" | "ruby" | "rust" | "shaderlab" | "splunk" | "stylus" | "typescript" | "viml" | "vyper" | "yaml" | "wenyan" | "css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "csv" | "applescript" | "ara" | "asm" | "ts" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "batch" | "beancount" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cdc" | "clarity" | "clj" | "cmake" | "cobol" | "ql" | "coffee" | "fs" | "glsl" | "c++" | "bash" | "sh" | "shell" | "zsh" | "crystal" | "cs" | "c#" | "cue" | "cql" | "d" | "dart" | "dax" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "rb" | "erb" | "erl" | "fish" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yml" | "hbs" | "gjs" | "gts" | "gnuplot" | "go" | "gql" | "groovy" | "hack" | "php" | "makefile" | "perl" | "r" | "cmd" | "xsl" | "jade" | "jsonc" | "objc" | "swift" | "perl6" | "ps" | "ps1" | "py" | "julia" | "rs" | "scala" | "tex" | "hs" | "latex" | "md" | "haml" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "jinja-html" | "jison" | "json5" | "jsonl" | "jsonnet" | "fsl" | "kt" | "kts" | "kql" | "liquid" | "lisp" | "logo" | "marko" | "matlab" | "mdc" | "toml" | "console" | "mdx" | "mermaid" | "mojo" | "nar" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "spl" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "verilog" | "vhdl" | "vim" | "vimscript" | "vue" | "vue-html" | "vy" | "wasm" | "文言" | "wgsl" | "wolfram" | "zenscript" | "zig", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">) => Promise<string>;
declare const codeToHast: (code: string, options: CodeToHastOptions<"shellscript" | "bat" | "berry" | "csharp" | "cpp" | "cadence" | "clojure" | "vb" | "shellsession" | "cypher" | "docker" | "erlang" | "fsharp" | "jssm" | "glimmer-js" | "graphql" | "glimmer-ts" | "handlebars" | "haskell" | "pug" | "javascript" | "kusto" | "kotlin" | "make" | "markdown" | "narrat" | "nextflow" | "objective-c" | "raku" | "ini" | "powershell" | "python" | "codeql" | "ruby" | "rust" | "shaderlab" | "splunk" | "stylus" | "typescript" | "viml" | "vyper" | "yaml" | "wenyan" | "css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "csv" | "applescript" | "ara" | "asm" | "ts" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "batch" | "beancount" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cdc" | "clarity" | "clj" | "cmake" | "cobol" | "ql" | "coffee" | "fs" | "glsl" | "c++" | "bash" | "sh" | "shell" | "zsh" | "crystal" | "cs" | "c#" | "cue" | "cql" | "d" | "dart" | "dax" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "rb" | "erb" | "erl" | "fish" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yml" | "hbs" | "gjs" | "gts" | "gnuplot" | "go" | "gql" | "groovy" | "hack" | "php" | "makefile" | "perl" | "r" | "cmd" | "xsl" | "jade" | "jsonc" | "objc" | "swift" | "perl6" | "ps" | "ps1" | "py" | "julia" | "rs" | "scala" | "tex" | "hs" | "latex" | "md" | "haml" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "jinja-html" | "jison" | "json5" | "jsonl" | "jsonnet" | "fsl" | "kt" | "kts" | "kql" | "liquid" | "lisp" | "logo" | "marko" | "matlab" | "mdc" | "toml" | "console" | "mdx" | "mermaid" | "mojo" | "nar" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "spl" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "verilog" | "vhdl" | "vim" | "vimscript" | "vue" | "vue-html" | "vy" | "wasm" | "文言" | "wgsl" | "wolfram" | "zenscript" | "zig", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">) => Promise<Root>;
declare const codeToThemedTokens: (code: string, options: RequireKeys<CodeToThemedTokensOptions<"shellscript" | "bat" | "berry" | "csharp" | "cpp" | "cadence" | "clojure" | "vb" | "shellsession" | "cypher" | "docker" | "erlang" | "fsharp" | "jssm" | "glimmer-js" | "graphql" | "glimmer-ts" | "handlebars" | "haskell" | "pug" | "javascript" | "kusto" | "kotlin" | "make" | "markdown" | "narrat" | "nextflow" | "objective-c" | "raku" | "ini" | "powershell" | "python" | "codeql" | "ruby" | "rust" | "shaderlab" | "splunk" | "stylus" | "typescript" | "viml" | "vyper" | "yaml" | "wenyan" | "css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "csv" | "applescript" | "ara" | "asm" | "ts" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "batch" | "beancount" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cdc" | "clarity" | "clj" | "cmake" | "cobol" | "ql" | "coffee" | "fs" | "glsl" | "c++" | "bash" | "sh" | "shell" | "zsh" | "crystal" | "cs" | "c#" | "cue" | "cql" | "d" | "dart" | "dax" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "rb" | "erb" | "erl" | "fish" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yml" | "hbs" | "gjs" | "gts" | "gnuplot" | "go" | "gql" | "groovy" | "hack" | "php" | "makefile" | "perl" | "r" | "cmd" | "xsl" | "jade" | "jsonc" | "objc" | "swift" | "perl6" | "ps" | "ps1" | "py" | "julia" | "rs" | "scala" | "tex" | "hs" | "latex" | "md" | "haml" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "jinja-html" | "jison" | "json5" | "jsonl" | "jsonnet" | "fsl" | "kt" | "kts" | "kql" | "liquid" | "lisp" | "logo" | "marko" | "matlab" | "mdc" | "toml" | "console" | "mdx" | "mermaid" | "mojo" | "nar" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "spl" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "verilog" | "vhdl" | "vim" | "vimscript" | "vue" | "vue-html" | "vy" | "wasm" | "文言" | "wgsl" | "wolfram" | "zenscript" | "zig", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">, "lang" | "theme">) => Promise<ThemedToken[][]>;
declare const codeToTokensWithThemes: (code: string, options: RequireKeys<CodeToTokensWithThemesOptions<"shellscript" | "bat" | "berry" | "csharp" | "cpp" | "cadence" | "clojure" | "vb" | "shellsession" | "cypher" | "docker" | "erlang" | "fsharp" | "jssm" | "glimmer-js" | "graphql" | "glimmer-ts" | "handlebars" | "haskell" | "pug" | "javascript" | "kusto" | "kotlin" | "make" | "markdown" | "narrat" | "nextflow" | "objective-c" | "raku" | "ini" | "powershell" | "python" | "codeql" | "ruby" | "rust" | "shaderlab" | "splunk" | "stylus" | "typescript" | "viml" | "vyper" | "yaml" | "wenyan" | "css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "csv" | "applescript" | "ara" | "asm" | "ts" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "batch" | "beancount" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cdc" | "clarity" | "clj" | "cmake" | "cobol" | "ql" | "coffee" | "fs" | "glsl" | "c++" | "bash" | "sh" | "shell" | "zsh" | "crystal" | "cs" | "c#" | "cue" | "cql" | "d" | "dart" | "dax" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "rb" | "erb" | "erl" | "fish" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yml" | "hbs" | "gjs" | "gts" | "gnuplot" | "go" | "gql" | "groovy" | "hack" | "php" | "makefile" | "perl" | "r" | "cmd" | "xsl" | "jade" | "jsonc" | "objc" | "swift" | "perl6" | "ps" | "ps1" | "py" | "julia" | "rs" | "scala" | "tex" | "hs" | "latex" | "md" | "haml" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "jinja-html" | "jison" | "json5" | "jsonl" | "jsonnet" | "fsl" | "kt" | "kts" | "kql" | "liquid" | "lisp" | "logo" | "marko" | "matlab" | "mdc" | "toml" | "console" | "mdx" | "mermaid" | "mojo" | "nar" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "spl" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "verilog" | "vhdl" | "vim" | "vimscript" | "vue" | "vue-html" | "vy" | "wasm" | "文言" | "wgsl" | "wolfram" | "zenscript" | "zig", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">, "lang" | "themes">) => Promise<ThemedTokenWithVariants[][]>;
declare const getSingletonHighlighter: () => Promise<HighlighterGeneric<"shellscript" | "bat" | "berry" | "csharp" | "cpp" | "cadence" | "clojure" | "vb" | "shellsession" | "cypher" | "docker" | "erlang" | "fsharp" | "jssm" | "glimmer-js" | "graphql" | "glimmer-ts" | "handlebars" | "haskell" | "pug" | "javascript" | "kusto" | "kotlin" | "make" | "markdown" | "narrat" | "nextflow" | "objective-c" | "raku" | "ini" | "powershell" | "python" | "codeql" | "ruby" | "rust" | "shaderlab" | "splunk" | "stylus" | "typescript" | "viml" | "vyper" | "yaml" | "wenyan" | "css" | "diff" | "abap" | "actionscript-3" | "ada" | "apache" | "apex" | "js" | "jsx" | "html" | "java" | "properties" | "xml" | "json" | "apl" | "csv" | "applescript" | "ara" | "asm" | "ts" | "styl" | "sass" | "scss" | "less" | "postcss" | "tsx" | "astro" | "awk" | "ballerina" | "batch" | "beancount" | "be" | "bibtex" | "bicep" | "sql" | "blade" | "c" | "cdc" | "clarity" | "clj" | "cmake" | "cobol" | "ql" | "coffee" | "fs" | "glsl" | "c++" | "bash" | "sh" | "shell" | "zsh" | "crystal" | "cs" | "c#" | "cue" | "cql" | "d" | "dart" | "dax" | "dockerfile" | "dream-maker" | "elixir" | "elm" | "lua" | "rb" | "erb" | "erl" | "fish" | "f#" | "gdshader" | "gdscript" | "gdresource" | "gherkin" | "git-commit" | "git-rebase" | "yml" | "hbs" | "gjs" | "gts" | "gnuplot" | "go" | "gql" | "groovy" | "hack" | "php" | "makefile" | "perl" | "r" | "cmd" | "xsl" | "jade" | "jsonc" | "objc" | "swift" | "perl6" | "ps" | "ps1" | "py" | "julia" | "rs" | "scala" | "tex" | "hs" | "latex" | "md" | "haml" | "hcl" | "hjson" | "hlsl" | "http" | "imba" | "jinja-html" | "jison" | "json5" | "jsonl" | "jsonnet" | "fsl" | "kt" | "kts" | "kql" | "liquid" | "lisp" | "logo" | "marko" | "matlab" | "mdc" | "toml" | "console" | "mdx" | "mermaid" | "mojo" | "nar" | "nf" | "nginx" | "nim" | "nix" | "objective-cpp" | "ocaml" | "pascal" | "plsql" | "powerquery" | "prisma" | "prolog" | "proto" | "puppet" | "purescript" | "razor" | "reg" | "rel" | "riscv" | "rst" | "sas" | "scheme" | "shader" | "smalltalk" | "solidity" | "turtle" | "sparql" | "spl" | "ssh-config" | "stata" | "svelte" | "v" | "system-verilog" | "tasl" | "tcl" | "twig" | "verilog" | "vhdl" | "vim" | "vimscript" | "vue" | "vue-html" | "vy" | "wasm" | "文言" | "wgsl" | "wolfram" | "zenscript" | "zig", "css-variables" | "dark-plus" | "dracula" | "dracula-soft" | "github-dark" | "github-dark-dimmed" | "github-light" | "hc_light" | "light-plus" | "material-theme" | "material-theme-darker" | "material-theme-lighter" | "material-theme-ocean" | "material-theme-palenight" | "min-dark" | "min-light" | "monokai" | "nord" | "one-dark-pro" | "poimandres" | "rose-pine" | "rose-pine-dawn" | "rose-pine-moon" | "slack-dark" | "slack-ochin" | "solarized-dark" | "solarized-light" | "vitesse-dark" | "vitesse-light">>;

export { BuiltinLanguage, BuiltinTheme, CodeToHastOptions, CodeToThemedTokensOptions, CodeToTokensWithThemesOptions, GetHighlighterFactory, type Highlighter, HighlighterGeneric, RequireKeys, ThemedToken, ThemedTokenWithVariants, codeToHast, codeToHtml, codeToThemedTokens, codeToTokensWithThemes, getHighlighter, getSingletonHighlighter };
